--- eww.el
+++ eww.el
@@ -159,7 +159,7 @@ eww (url)
 If the input doesn't look like an URL or a domain name, the
 word(s) will be searched for via `eww-search-prefix'."
   (interactive "sEnter URL or keywords: ")
-  (cond ((string-match-p "\\`file://" url))
+  (cond ((string-match-p "\\`file:/" url))
         ((string-match-p "\\`ftp://" url)
          (user-error "FTP is not supported."))
         (t
